cinnamon-desktop
=============

cinnamon-desktop contains the libcinnamon-desktop library, the cinnamon-about
program as well as some desktop-wide documents.

The libcinnamon-desktop library provides API shared by several applications
on the desktop, but that cannot live in the platform for various
reasons. There is no API or ABI guarantee, although we are doing our
best to provide stability. Documentation for the API is available with
gtk-doc.


Installation
============

1) Run meson with options you like. The following configuration installs
   all binaries, libs, and shared files into /usr/local, and enables all
   available options:

    meson debian/build \
        --prefix=/usr/local \
        --buildtype=plain \
        -D deprecated_warnings=false

2) Compile and install (sudo is needed for install)

    ninja -C debian/build
    ninja -C debian/build install

3) You can uninstall the installed files with

    ninja -C debian/build uninstall

